/****************************************************************************
**
** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
** Contact: Qt Software Information (qt-info@nokia.com)
**
** This file is part of a Qt Solutions component.
**
** GNU General Public License Usage
** This file may be used under the terms of the GNU
** General Public License versions 2.0 or 3.0 as published by the Free
** Software Foundation and appearing in the file LICENSE.GPL included in
** the packaging of this file.  Please review the following information
** to ensure GNU General Public Licensing requirements will be met:
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.  In addition, as a special
** exception, Nokia gives you certain additional rights. These rights
** are described in the Nokia Qt GPL Exception version 1.3, included in
** the file GPL_EXCEPTION.txt in this package.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
****************************************************************************/
#ifndef LIFECYCLE_H
#define LIFECYCLE_H

#include <Qt>

class StickMan;
class QtStateMachine;
class QtAnimationGroup;
class QtState;
class QtAbstractState;
class QtAbstractStateGroup;
class QtAbstractTransition;
class GraphicsView;
class LifeCycle
{
public:
    LifeCycle(StickMan *stickMan, GraphicsView *keyEventReceiver);
    ~LifeCycle();

    void setDeathAnimation(const QString &fileName);
    void setResetKey(Qt::Key key);
    void addActivity(const QString &fileName, Qt::Key key);    

    void start();

private:
    void connectByAnimation(QtAbstractStateGroup *parentState, QtAbstractStateGroup *s1, QtAbstractState *s2, 
                            QtAbstractTransition *transition = 0);
    QtState *makeState(QtAbstractStateGroup *parentState, const QString &animationFileName);

    StickMan *m_stickMan;
    QtStateMachine *m_machine;
    QtAnimationGroup *m_animationGroup;
    GraphicsView *m_keyReceiver;

    QtState *m_alive;
    QtState *m_dead;
    QtState *m_idle;
};

#endif
