/****************************************************************************
**
** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
** Contact: Qt Software Information (qt-info@nokia.com)
**
** This file is part of a Qt Solutions component.
**
** GNU General Public License Usage
** This file may be used under the terms of the GNU
** General Public License versions 2.0 or 3.0 as published by the Free
** Software Foundation and appearing in the file LICENSE.GPL included in
** the packaging of this file.  Please review the following information
** to ensure GNU General Public Licensing requirements will be met:
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.  In addition, as a special
** exception, Nokia gives you certain additional rights. These rights
** are described in the Nokia Qt GPL Exception version 1.3, included in
** the file GPL_EXCEPTION.txt in this package.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
****************************************************************************/


#ifndef QPROPERTYANIMATION_P_H
#define QPROPERTYANIMATION_P_H

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Qt API.  It exists for the convenience
// of QIODevice. This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.
//

#include "qpropertyanimation.h"
#include <QtCore/qmetaobject.h>

#include "qanimation_p.h"

QT_BEGIN_NAMESPACE

class QtPropertyAnimationPrivate : public QtAnimationPrivate
{
   Q_DECLARE_PUBLIC(QtPropertyAnimation)
public:
    QtPropertyAnimationPrivate()
        : target(0), propertyType(0), propertyIndex(0), hasMetaProperty(false)
    {
    }


    QObject *target;

    //for the QProperty
    QMetaProperty property;
    int propertyType;
    int propertyIndex;

    int hasMetaProperty;
    QByteArray propertyName;
    void updateProperty(const QVariant &);
    void updateMetaProperty();
    
    void _q_objectDeleted();
};

QT_END_NAMESPACE

#endif
