/****************************************************************************
**
** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
** Contact: Qt Software Information (qt-info@nokia.com)
**
** This file is part of a Qt Solutions component.
**
** GNU General Public License Usage
** This file may be used under the terms of the GNU
** General Public License versions 2.0 or 3.0 as published by the Free
** Software Foundation and appearing in the file LICENSE.GPL included in
** the packaging of this file.  Please review the following information
** to ensure GNU General Public Licensing requirements will be met:
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.  In addition, as a special
** exception, Nokia gives you certain additional rights. These rights
** are described in the Nokia Qt GPL Exception version 1.3, included in
** the file GPL_EXCEPTION.txt in this package.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
****************************************************************************/


#ifndef QSEQUENTIALANIMATIONGROUP_P_H
#define QSEQUENTIALANIMATIONGROUP_P_H

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Qt API.  It exists for the convenience
// of QIODevice. This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.
//

#include "qsequentialanimationgroup.h"
#include "qanimationgroup_p.h"


QT_BEGIN_NAMESPACE

class QtSequentialAnimationGroupPrivate : public QtAnimationGroupPrivate
{
    Q_DECLARE_PUBLIC(QtSequentialAnimationGroup);
public:
    QtSequentialAnimationGroupPrivate()
        : currentAnimation(0)
    { }


    struct IndexRangeForTime
    {
        IndexRangeForTime() : lower(0), upper(0), timeOffset(0) {}
        //Note that lower and upper are different in case there is a 0 duration animation
        int lower; //lower bound of index for time
        int upper; //upper bound of index for time
        int timeOffset; //time offset of the animation for time
    };

    IndexRangeForTime indexForTime(int msecs) const;

    void setCurrentAnimation(int index);

    QtAbstractAnimation *currentAnimation;

    //this is the actual duration if animations
    //it helps seeking and even going forward
    QList<int> actualDuration;

    // private slot
    void _q_uncontrolledAnimationFinished();
};

QT_END_NAMESPACE

#endif //QSEQUENTIALANIMATIONGROUP_P_H
