/****************************************************************************
**
** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
** Contact: Qt Software Information (qt-info@nokia.com)
**
** This file is part of a Qt Solutions component.
**
** GNU General Public License Usage
** This file may be used under the terms of the GNU
** General Public License versions 2.0 or 3.0 as published by the Free
** Software Foundation and appearing in the file LICENSE.GPL included in
** the packaging of this file.  Please review the following information
** to ensure GNU General Public Licensing requirements will be met:
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.  In addition, as a special
** exception, Nokia gives you certain additional rights. These rights
** are described in the Nokia Qt GPL Exception version 1.3, included in
** the file GPL_EXCEPTION.txt in this package.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
****************************************************************************/


#ifndef QSIGNALEVENT_H
#define QSIGNALEVENT_H

#include <QtCore/qcoreevent.h>

#include <QtCore/qlist.h>
#include <QtCore/qvariant.h>

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Core)

class Q_ANIMATION_EXPORT QtSignalEvent : public QEvent
{
public:
    QtSignalEvent(const QObject *sender, int signalIndex,
                 const QList<QVariant> &arguments);
    ~QtSignalEvent();

    inline const QObject *sender() const { return m_sender; }
    inline int signalIndex() const { return m_signalIndex; }
    inline QList<QVariant> arguments() const { return m_arguments; }

private:
    const QObject *m_sender;
    int m_signalIndex;
    QList<QVariant> m_arguments;
};

QT_END_NAMESPACE

#endif
